package com.cosmodas.productos;

import com.cosmodas.EntCosmos.Productos;
import com.cosmodas.EntCosmos.VProductos;
import com.cosmodas.FacadeCosmos.ProductosFacadeLocal;

import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;


@ManagedBean
@ViewScoped
public class bproductos implements Serializable {

@EJB
private ProductosFacadeLocal pfl;
@EJB
//private

private Productos productoSelec;
private List<VProductos> productos;

    public Productos getProductoSelec() {
        return productoSelec;
    }

    public void setProductoSelec(Productos productoSelec) {
        this.productoSelec = productoSelec;
    }

    public List<VProductos> getProductos() {
        return productos;
    }

    public void setProductos(List<VProductos> productos) {
        this.productos = productos;
    }

    @PostConstruct
    private void init() {
        productos = new ArrayList<VProductos>();
        productos = pfl.obtenerProductosv();

    }

    public bproductos() {
    }
}
